<?php
if (function_exists('register_sidebar'))
    register_sidebar(array(
        'before_widget' => '<div class="block"><div class="block_title">',
        'after_widget' => '</div><div class="block_bottom"></div></div>',
        'before_title' => '<h3>',
        'after_title' => '</h3></div><div class="block_top"></div><div class="block_middle">',
    ));

add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) $file = TEMPLATEPATH . '/legacy.comments.php';
	return $file;
}

remove_action('wp_head', 'wp_generator');

function csv_tags() {
    $posttags = get_the_tags();
    foreach((array)$posttags as $tag) {
        $csv_tags .= $tag->name . ',';
    }
    echo '<meta name="keywords" content="'.$csv_tags.'" />';
}

$theme_data  = get_theme('Reclamation');
$rec_version = $theme_data['Version'];
$rec_options = get_option('rec_options');
$old_options = $rec_options;

if (!$rec_options['rec_sidebar']) $rec_options['rec_sidebar'] = 'right';

if ($old_options != $rec_options)
	update_option('rec_options', $rec_options);


/* Adding the admin menu in; */
add_action('admin_menu', 'rec_add_theme_page');
add_action('admin_head', 'rec_theme_page_head');


/* Adding the theme page to the admin panel; */
function rec_add_theme_page() { 
	add_theme_page(__('Reclamation'), 'Reclamation', 'edit_themes', basename(__FILE__), 'rec_theme_page');
}

/* Adding style in for the theme page header; */
function rec_theme_page_head() {
  global $rec_options;
?>
<style type="text/css">
.form-table {
  width: 600px;
}
table.form-table td {
  padding: 0 10px 5px 0;
  margin: 0;
}
table.form-table p.move {
  margin: 0;
  padding: 3px 0 0 0;
}
#rec_options_form { 
  width: 630px;
}
#rec_options_form fieldset {
  border: 1px solid #ccc;
  background-color: #fff;
  padding: 5px 5px 10px 5px;
  margin: 0 5px 25px 5px;
}
#rec_options_form legend {
  padding: 2px 10px;
  margin: 0 0 0 25px;
  background-color: #fff;
  position: relative;
  font-size: 16px;
  font-weight: bold;
  top: -15px;
  border-top: 1px solid #ccc;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
}
#rec_options_form h3 {
  padding: 0; margin: 0;
}
#rec_options_form p {
  padding: 0 0 5px 0;
  margin: 0;
}
#rec_options_form input[type="radio"] {
  padding: 0 0 0 10px;
  margin: 0 0 0 5px;
}
</style>

<?php
}

function rec_theme_page() {
    global $rec_options;
	
	if (isset($_GET['dismiss'])) {
		$rec_actions = get_option('rec_actions');
		$rec_actions[$_GET['dismiss']] = 0;
		update_option('rec_actions', $rec_actions);
	}
	
	if (isset($_POST['updated'])) {
		foreach (
			array(
				'rec_sidebar',
			) as $field
		) {
			$rec_options[$field] = $_POST[$field];
		}
		update_option('rec_options', $rec_options);
			
		echo '<div class="updated fade"><p>Options updated.</p></div>';
	}
?>
<div class='wrap'>
	<h2><?php $ex = get_theme('Reclamation'); ?><?php _e('Customize Reclamation ' . $ex["Version"] . ' Theme'); ?></h2>
		
	<p class="form-table">
	  This is version <?php $ex = get_theme('Reclamation'); echo $ex['Version']; ?> of <a href="http://www.theenglishguy.co.uk/reclamation-theme/" rel="tag" title="Show your support, please make a donation">Reclamation</a> - a two-column, configurable, wordpress theme - are you using the latest version?
    </p>
		
	<br /><br />
	
	<form method="post" id="rec_options_form" action="<?php echo attribute_escape($_SERVER['REQUEST_URI']); ?>">
		<input type="hidden" name="updated" value="1" /> 
        
        <fieldset>
        	<legend>Display</legend>
        <table class="form-table">
            <tr valign="top">
            	<td width="150"><h3>Sidebar</h3></td>
                <td colspan="4">
                	<p>
                      Sidebar, left or right.
                    </p>
                </td>
            </tr>
            <tr valign="top">
            	<td width="150"></td>
				<td width="100"><?php _e('Left'); ?><input type="radio" name="rec_sidebar" value="left" <?php echo ($rec_options['rec_sidebar'] == 'left' ? 'checked="checked"' : ''); ?> /></td>
				<td width="100"><?php _e('Right'); ?><input type="radio" name="rec_sidebar" value="right" <?php echo ($rec_options['rec_sidebar'] == 'right' ? 'checked="checked"' : ''); ?> /></td>
                <td colspan="2" width="250"></td>
            </tr>
        </table>
        </fieldset>
        
		<fieldset>
        	<legend>Update the Theme</legend>
		<table class="form-table">
			<tr valign="top">
				<td colspan="5">
					<p style="text-align:center;">
					Click to update the theme.
					</p>
					
					<input type="hidden" name="action" value="update" />
		
					<p class="submit" style="text-align:center;">
						<input type="submit" name="submitform" value="<?php echo attribute_escape(__('Update Theme')); ?>" />
					</p>
				</td>
			</tr>
		</table>
		</fieldset>
    </form>
</div>
<?php }

?>